This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 788294 - RFE - Glossary Suggestions
RFE - Glossary Suggestions
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.6-alpha-1
Assigned To: Alex Eng
Joyce Chang
: UserStory
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-07 19:23 EST by Alex Eng
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.6-SNAPSHOT (20120414-0001).
Doc Type: Bug Fix
Doc Text:
Cause: A Translation Glossary provides standard translations for technical terms. Zanata supports Translation Glossaries. Users requested to be alerted to any applicable Glossary terms when working on a translation unit, and to be able to copy a translation from the Glossary into the current translation unit. Change: Automatic alerting has been implemented, as has copy from Glossary. Result: When one or more relevant Glossary terms exist, the color of the Glossary tab changes from blue to red. A "Copy" button next to each Glossary term enables the translator to copy Glossary translations to the current translation unit.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2012-02-07 19:23:55 EST
As a translator, I want to automatically see glossary suggestions for the entry I'm currently working on as soon as I click into that entry (much like the TM now).

Translation Memory and Glossary Tab - When there is a match for Glossary, the Glossary link should change colour from blue to red.

Much of US19 has been implemented, but we need to rework the search feature to find glossary entries for any words (or possibly phrases?) in a translation unit
Comment 1 Alex Eng 2012-03-15 01:23:59 EDT
Implemented glossary search in 1.5. 

See https://github.com/zanata/zanata/commit/01f8045a09c880153cdba5b975094ead447b6e7c
Comment 2 Alex Eng 2012-03-15 02:04:05 EDT
Correction, Glossary feature in master branch.
Comment 3 Alex Eng 2012-03-25 20:23:02 EDT
Fixed h2 DB issues with Glossary support. See https://github.com/zanata/zanata/commit/50b1387718757c289bccabc62e6a570fc976fac8
Comment 4 Joyce Chang 2012-03-29 21:26:27 EDT
Glossary feature seemed to work differently using firefox and chrome when copying several target terms to  translation entry. When using firefox, copying target terms on 1st, 2nd, 3rd and so on to one translation entry,the latest target term you copy will come the very last in order, while using Chorme is the other way around.
Maybe firefox makes more sense?!

testing in Zanata version 1.6-SNAPSHOT (20120329-1642).

How reproducible:
always

Steps to Reproduce:
1.open translation editor
2.click "Copy" on 1st, 2nd and 3rd glossary target term to translation entry
3.target terms you copy shows on translation entry 

Actual results:
target terms you copied shown in translation entry

using firefox 
1st 2nd 3rd 

using chorme

3rd 2nd 1st 


Expect results:

using firefox 
1st 2nd 3rd 

using chorme
1st 2nd 3rd
Comment 6 Joyce Chang 2012-04-16 19:44:18 EDT
verified in Zanata version 1.6-SNAPSHOT (20120414-0001).
Comment 7 Joshua Wulf 2012-04-20 02:11:39 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: A Translation Glossary provides standard translations for technical terms. Zanata supports Translation Glossaries. Users requested to be alerted to any applicable Glossary terms when working on a translation unit, and to be able to copy a translation from the Glossary into the current translation unit.

Change: Automatic alerting has been implemented, as has copy from Glossary.

Result: When one or more relevant Glossary terms exist, the color of the Glossary tab changes from blue to red. A "Copy" button next to each Glossary term enables the translator to copy Glossary translations to the current translation unit.

Note You need to log in before you can comment on or make changes to this bug.